#!/bin/bash

cd `dirname $0`

MAJ_VER=${MAJ_VER:-0}
MIN_VER=${MIN_VER:-0}
BUILD_NUMBER=${BUILD_NUMBER:-0}

sed -i s/RUBAN_VERSION_NUMBER/"$MAJ_VER.$MIN_VER.$BUILD_NUMBER"/g ./ruban-ms-ruban-ui-deployment.yaml

export DAVRA_API_VERSION=`grep 'image:' davra-api-deployment.yaml | awk -F ':' '{print $3}'`
sed s/DAVRA_API_VERSION/$DAVRA_API_VERSION/g davra-api-tsdb-deployment.yaml.tpl > davra-api-tsdb-deployment.yaml
sed s/DAVRA_API_VERSION/$DAVRA_API_VERSION/g davra-api-twins-deployment.yaml.tpl > davra-api-twins-deployment.yaml
sed s/DAVRA_API_VERSION/$DAVRA_API_VERSION/g davra-api-kafka-deployment.yaml.tpl > davra-api-kafka-deployment.yaml
sed s/DAVRA_API_VERSION/$DAVRA_API_VERSION/g davra-api-devices-deployment.yaml.tpl > davra-api-devices-deployment.yaml
sed s/DAVRA_API_VERSION/$DAVRA_API_VERSION/g davra-api-proxy-deployment.yaml.tpl > davra-api-proxy-deployment.yaml

export DEVICE_COUNTERS_VERSION=`grep 'image:' ruban-ms-device-counters-agg-deployment.yaml | awk -F ':' '{print $3}'`
sed s/DEVICE_COUNTERS_VERSION/$DEVICE_COUNTERS_VERSION/g ruban-ms-twin-counters-agg-deployment.yaml.tpl > ruban-ms-twin-counters-agg-deployment.yaml

mkdir -p build
rm -f build/Davra-$MAJ_VER.$MIN_VER.$BUILD_NUMBER-aws.tar.gz

tar --transform "s/^\./Davra/"  \
    --exclude ".git" \
    --exclude="build.sh" \
    --exclude="build" \
    --exclude="build" \
    --exclude="certs" \
    --exclude="docs" \
    --exclude="localhost" \
    --exclude="minikube" \
    --exclude="monitoring" \
    --exclude="node_modules" \
    --exclude="openstack" \
    --exclude="test" \
    -zcf build/Davra-$MAJ_VER.$MIN_VER.$BUILD_NUMBER-aws.tar.gz .
