#!/bin/bash

E_KEY=${KEY:-""}
E_IV=${IV:=""}
if  [ -z "$E_KEY" ] ; then
    echo "No key present, creating one"
    PASS=`openssl rand -hex 32`
    KEY_IV=`openssl enc -nosalt -aes-256-cbc -pass pass:$PASS -P | awk 'BEGIN { FS = "=" } ;{key=$2; getline; print key "," $2;}'`
    E_KEY=`echo "$KEY_IV" | cut -f1 -d,`
    E_IV=`echo "$KEY_IV" | cut -f2 -d,`
fi

if  [ -z "$E_KEY" ] ; then
    echo "Cannot create encryption secret without KEY"
    exit 1
fi

if  [ -z "$E_IV" ] ; then
    echo "Cannot create encryption secret without IV"
    exit 1
fi

SECRET_NAME=${NAME:-encryption-key}

echo "checking for existing secret $SECRET_NAME"
kubectl get secret $SECRET_NAME > /dev/null  2>&1
if [ $? -ne 0 ] ; then
    echo "secret $SECRET_NAME does not exist, creating it"
    sed s/KEY/$E_KEY/g "encryption-key-secret.yaml.tpl" | sed s/IV/$E_IV/g | sed s/NAME/$SECRET_NAME/g > "encryption-key-secret.yaml"
	kubectl create -f encryption-key-secret.yaml
else
    echo "secret $SECRET_NAME already exists."
    exit 1
fi

echo "
  ___   _   ___ _  __  _   _ ___  __   _____  _   _ ___   _  _______   _____ 
 | _ ) /_\ / __| |/ / | | | | _ \ \ \ / / _ \| | | | _ \ | |/ / __\ \ / / __|
 | _ \/ _ \ (__| ' <  | |_| |  _/  \ V / (_) | |_| |   / | ' <| _| \ V /\__ \\
 |___/_/ \_\___|_|\_\  \___/|_|     |_| \___/ \___/|_|_\ |_|\_\___| |_| |___/

"
echo "------------------------------------------------------------------------"
echo "KEY=$E_KEY"
echo "IV=$E_IV"
echo "------------------------------------------------------------------------"