cat >/etc/systemd/system/cassandra.service <<EOL
[Unit]
Description=Cassandra
After=network.target

[Service]
Type=forking
PIDFile=/data/cassandra.pid
User=cassandra
Group=cassandra
ExecStart=/opt/cassandra/bin/cassandra -p /data/cassandra.pid
StandardOutput=journal
StandardError=journal
LimitNOFILE=infinity
Restart=always

[Install]
WantedBy=multi-user.target
EOL

cat >/etc/systemd/system/cassandra-repair.service <<EOL
[Unit]
Description=Runs a nodetool repair on the kairosdb keyspace
[Service]
Type=oneshot
ExecStart=/opt/cassandra/bin/nodetool repair -par kairosdb
EOL

cat >/etc/systemd/system/cassandra-repair.timer <<EOL
[Unit]
Description=Daily repair of cassandra/kairosdb column family
[Timer]
OnCalendar=*-*-* 00:00:00

[Install]
WantedBy=multi-user.target
EOL

systemctl enable cassandra.service
systemctl start cassandra.service

systemctl enable cassandra-repair.timer
systemctl start cassandra-repair.timer

systemctl status cassandra.service
