# 
# script list bucket dest
# DESTINATION="/data/restore/payload"

LIST=$1
BUCKET=$2
DESTINATION=$3

if [ -z "$LIST" ]
then
      echo -e "Directory list file is missing"
      exit 1
fi
if [ -z "$BUCKET" ]
then
      echo -e "Bucket name missing"
      exit 1
fi
if [ -z "$DESTINATION" ]
then
      echo -e "Destination directory missing"
      exit 1
fi

echo "Starting downloading incremental backups!"
mkdir -p $DESTINATION

function process () {
    ROOT_DIR=`pwd`
    
    NAME=$1
    echo -e "Processing $NAME"
    aws s3 ls s3://$BUCKET/$NAME/ | awk '{ print  $4 }' | sort | uniq | xargs -I{} bash -c "echo {};aws s3 cp s3://$BUCKET/$NAME/{} - >> archive.tar"
    mkdir $NAME
    cd $NAME
    tar xf ../archive.tar 
    cd data/backup/incremental_temp/incremental/data/cassandra/data/
    ls -l
    for KEYSPACE in */ ; do
        echo "Keyspace $KEYSPACE"
        cd $KEYSPACE
          for TABLE in */ ; do
            echo "Table $TABLE"
            cd $TABLE
            LOCATION="$DESTINATION/$KEYSPACE/$TABLE"
            mkdir -p $LOCATION
            cd backups
            mv * $LOCATION
            cd ..
            cd ..
          done
        cd ..
    done

    cd $ROOT_DIR
    echo `pwd`
    rm -r $NAME
    rm -f archive.tar

    

}

while read p; do
  NAME=`echo $p | sed "s/\/$//"`
  process $NAME
done <$LIST



