#!/bin/bash
HOME=`pwd`
ROOT=`dirname $0`
cd $ROOT
CONTEXT=localhost
if [ $# -gt 0 ] ; then
   CONTEXT=$1
fi

echo "Installing $CONTEXT"
/bin/bash $CONTEXT/install.sh

if [ $? -ne 0 ] ; then
	echo "Install failed"
	exit 1
fi

cd $HOME
cp $ROOT/$CONTEXT/kubeconfig kubeconfig
FULL=`pwd`"/kubeconfig"
echo "The file $FULL has all the credentials you need to run kubectl commands on this kubernetes cluster"

echo
echo "Installation Complete"