#!/bin/bash

cd `dirname $0`

#To allow customers/support engineers to customise kafka on site we only create
#the kafka server configuration on initial install - only replace if kafka version changes. Were we to 
#replace/upsert configurations then we would overwrite the customizations on site

KAFKA_VERSION="3.0"
KAFKA_VERSION_CURRENT=$(kubectl get configmap kafka-server.properties -o jsonpath='{.metadata.annotations.kafkaVersion}')
if [ $? -ne 0 ] ; then
    kubectl create configmap kafka-server.properties --from-file=server.properties
    kubectl annotate configmap kafka-server.properties kafkaVersion="$KAFKA_VERSION"
else
    if [ "$KAFKA_VERSION_CURRENT" != "$KAFKA_VERSION" ] ; then
	    kubectl delete configmap kafka-server.properties
	    kubectl create configmap kafka-server.properties --from-file=server.properties
        kubectl annotate configmap kafka-server.properties kafkaVersion="$KAFKA_VERSION"
    fi
fi


kubectl get configmap kafka-init-broker.sh > /dev/null 2>&1
if [ $? -ne 0 ] ; then
    kubectl create configmap kafka-init-broker.sh --from-file=init-broker.sh
fi



