#!/bin/bash

cd `dirname $0`

kubectl get secret kafka-tls-assets-sentinel > /dev/null 2>&1
if [ $? -eq 0 ] ; then
    echo "TLS assets already generated, skipping"
    exit 1
fi

echo "Clearing out old kafka secrets"
kubectl delete secret kafka-server-tls-assets
kubectl delete secret kafka-client-tls-assets
kubectl delete secret kafka-client-tls-assets -n kube-system
#Clobber secrets for custom microservices
# TODO: change this so it only deletes kafka tls secrets and not all the secrets
# kubectl get ns --show-labels | grep connecthing.io/microservice | awk '{system("kubectl delete secret --all -n "$1)}'

kubectl create secret generic kafka-server-tls-assets --from-file=./ca-cert --from-file=./ca-key --from-file=./server.keystore.jks --from-file=./server.truststore.jks
kubectl create secret generic kafka-client-tls-assets --from-file=ca-cert=./ca-cert  --from-file=client_cert=./client_cert.pem --from-file=client_key=./client_key.pem --from-file=./client.keystore.jks  --from-file=./client.truststore.jks --from-file=./client.store.password
kubectl create secret generic kafka-client-tls-assets --from-file=ca-cert=./ca-cert  --from-file=client_cert=./client_cert.pem --from-file=client_key=./client_key.pem --from-file=./client.keystore.jks  --from-file=./client.truststore.jks --from-file=./client.store.password -n kube-system

echo `date` > .sentinel
kubectl create secret generic kafka-tls-assets-sentinel --from-file=.sentinel

