#!/bin/bash
mkdir /etc/flannel
echo "FLANNELD_IFACE=$ADVERTISE_IP" > /etc/flannel/options.env
echo "FLANNELD_ETCD_ENDPOINTS=$ETCD_ENDPOINTS" >> /etc/flannel/options.env

mkdir -p /etc/systemd/system/flanneld.service.d
echo "[Service]" > /etc/systemd/system/flanneld.service.d/40-ExecStartPre-symlink.conf
echo "ExecStartPre=/usr/bin/ln -sf /etc/flannel/options.env /run/flannel/options.env" >> /etc/systemd/system/flanneld.service.d/40-ExecStartPre-symlink.conf

mkdir -p /etc/systemd/system/docker.service.d/
FLNL_CONF=/etc/systemd/system/docker.service.d/40-flannel.conf
echo "[Unit]" > $FLNL_CONF
echo "Requires=flanneld.service" >> $FLNL_CONF
echo "After=flanneld.service" >> $FLNL_CONF
echo "[Service]" >> $FLNL_CONF
echo "EnvironmentFile=/etc/kubernetes/cni/docker_opts_cni.env" >> $FLNL_CONF

mkdir -p /etc/kubernetes/cni
echo 'DOCKER_OPT_BIP=""' > /etc/kubernetes/cni/docker_opts_cni.env
echo 'DOCKER_OPT_IPMASQ=""' >>  /etc/kubernetes/cni/docker_opts_cni.env

mkdir -p /etc/kubernetes/cni/net.d/
cp 10-flannel.conf /etc/kubernetes/cni/net.d
