#!/bin/bash

ps -ef | grep etcd | grep -v grep | grep -v repair_etcd
ETCD_FAILING=$?
ETCD_REPAIRED=0

function doRepair {
	systemctl stop etcd2
	mkdir -p /run/systemd/system/etcd2.service.d
	rm -f /run/systemd/system/etcd2.service.d/20-cloudinit.conf
	cp 98-force-new-cluster.conf /run/systemd/system/etcd2.service.d/
	systemctl daemon-reload
	systemctl start etcd2
	systemctl enable etcd2
	echo "Allowing etcd to come up..."
	REQ="etcdctl cluster-health"
	cnt=0
	while [ $cnt -lt 300 ]
	do
		$REQ > /dev/null 2>&1
	    if [ $? -eq 0 ] ; then
	        cnt=`expr 399`
	    fi
	    sleep 1
	    printf "-"
	    cnt=`expr $cnt + 1`
	done

	rm -f /run/systemd/system/etcd2.service.d/98-force-new-cluster.conf
	if [ $cnt -ne 400 ] ; then
		echo "TIMEOUT! etcd2 is not working properly, examine jounalctl -u etcd2 for more info"
		exit 1
	fi	
}

if [ $ETCD_FAILING -ne 0 ] 
  then
        echo "Repairing etcd"
  		doRepair
fi
