#!/bin/bash
openssl genrsa -out ca-key.pem 2048
openssl req -x509 -new -nodes -key ca-key.pem -days 10000 -out ca.pem -subj "/CN=kube-ca"

#API server key pairs
sed s/K8S_SERVICE_IP/$K8S_SERVICE_IP/g openssl.cnf.tpl | sed s/MASTER_HOST/$MASTER_HOST/g > openssl.cnf
openssl genrsa -out apiserver-key.pem 2048
openssl req -new -key apiserver-key.pem -out apiserver.csr -subj "/CN=kube-apiserver" -config openssl.cnf
openssl x509 -req -in apiserver.csr -CA ca.pem -CAkey ca-key.pem -CAcreateserial -out apiserver.pem -days 365 -extensions v3_req -extfile openssl.cnf

#Admin key pairs
openssl genrsa -out admin-key.pem 2048
openssl req -new -key admin-key.pem -out admin.csr -subj "/CN=kube-admin"
openssl x509 -req -in admin.csr -CA ca.pem -CAkey ca-key.pem -CAcreateserial -out admin.pem -days 365

mkdir -p /etc/kubernetes/ssl
cp ca.pem /etc/kubernetes/ssl
cp apiserver.pem /etc/kubernetes/ssl
cp apiserver-key.pem /etc/kubernetes/ssl

chmod 600 /etc/kubernetes/ssl/*-key.pem
chown root:root /etc/kubernetes/ssl/*-key.pem
