#!/bin/bash


OS_ID=`cat /etc/os-release | grep '^ID=' | sed 's#^ID=##'`
if [ "$OS_ID" != "coreos" ]; then
  echo "OS is not CoreOS - not applying settings" 1>&2
  exit 1
fi

if [ "$(id -u)" != "0" ]; then
  echo "This script must be run as root" 1>&2
  exit 1
fi



echo "Disabling CoreOS automatic updates"
systemctl disable update-engine
systemctl stop update-engine
systemctl mask update-engine

systemctl disable locksmithd
systemctl stop locksmithd
systemctl mask locksmithd



echo "Locking CoreOS to current version"
# We perform a "manual rollback" to the currently running version
# This prevents a scheduled-on-next-boot upgrade
# more info: https://coreos.com/os/docs/latest/manual-rollbacks.html
CURRENT_ROOT_DEV=`rootdev -s /usr`
cgpt prioritize $CURRENT_ROOT_DEV
