#!/bin/bash

cd `dirname $0`
source ../utils.sh
source ./utils.sh


CD=`pwd`
CLUSTER=`kubectl config get-clusters | tail -n +2 | head -1`
kubectl config set-context default --namespace=default --cluster=$CLUSTER --user=default-admin
kubectl config use-context default

#create topics
echo "Creating KAFKA Topics for tenant $1"
KAFKA_POD=`kubectl get pod | grep kafka | grep -v kafka-offset-monitor | grep -v davra-api-kafka | awk '{print $1}'`
echo "Kafka pod: $KAFKA_POD"
kubectl exec $KAFKA_POD -i -- bash -c "unset JMX_PORT; unset KAFKA_OPTS; bin/kafka-topics.sh --list --bootstrap-server localhost:9091" | grep $1.devices

if [ $? -ne 0 ] ; then
  kubectl exec $KAFKA_POD -i -- bash -c "unset JMX_PORT; unset KAFKA_OPTS; bin/kafka-topics.sh --bootstrap-server localhost:9091 --create --partitions 1 --replication-factor=1 --topic $1.devices"
  kubectl exec $KAFKA_POD -i -- bash -c "unset JMX_PORT; unset KAFKA_OPTS; bin/kafka-topics.sh --bootstrap-server localhost:9091 --create --partitions 1 --replication-factor=1 --topic $1.ruban-iotdata"
fi

if [ ! -f .$1-kafka-retention-set ] ; then
  echo "Setting retention time for kafka topics"
  kubectl exec -i $KAFKA_POD -- bash -c "unset JMX_PORT; unset KAFKA_OPTS; bin/kafka-configs.sh --bootstrap-server localhost:9091 --entity-name=$1.devices --entity-type=topics --alter --add-config retention.ms=43200000,delete.retention.ms=43200001"
  kubectl exec -i $KAFKA_POD -- bash -c "unset JMX_PORT; unset KAFKA_OPTS; bin/kafka-configs.sh --bootstrap-server localhost:9091 --entity-name=$1.ruban-iotdata --entity-type=topics --alter --add-config retention.ms=43200000,delete.retention.ms=43200001"
  touch .$1-kafka-retention-set
fi



function createTenant {

	curl -i -u root:root -X POST -d '{"id": "'$1'"}' -H "content-type: application/json" http://localhost/api/v1/tenants
}

createTenant $1
