var http = require("http");
var fs = require("fs");
var util = require("util");

function loadNode( node, cb ){
    
    http.get("http://localhost:2379/v2/keys" + (node ? node.key : ""), function(res){
        var data = "";
        res.on("data", (chunk) => {data = data + chunk;});
        res.on("end", () => {
            let pdata = JSON.parse(data);
            if(node){
                //node.nodes = node.nodes || [];
                //node.nodes.push(pdata.node);
                cb(null, pdata.node)
            }
            else{
                cb(null, pdata.node);
            }
        });
    }).on("error", function(err){
        console.error("Error loading node", err);
        cb(err);
    });
}

function buildNode(node, cb){
    loadNode(node, (err, lnode) => {
        
        if(err){
            cb(err);
            return;
        }
        
        console.log(util.inspect(lnode, {depth: null}));
        console.log("\n_______________________________\n");
        
        
        let i=0;
        function doNode(){
            if(!lnode.nodes || i>=lnode.nodes.length){
                cb(null, lnode);
                return;
            }
            let n = lnode.nodes[i++];
            if(n.dir){
                buildNode(n, (err, cnode) => {
                    if(err){
                        cb(err);
                        return;
                    }
                    lnode.nodes[i-1] = cnode;
                    doNode();
                });
            }
            else{
                console.log(JSON.stringify(n));
                doNode();
            }
        }
        doNode();
    });
}

buildNode(null, function(err, node){
    if(err){
        console.error("Error loading etcd nodes", err);
    }
    else{
        fs.writeFileSync("etcd2backup.json", JSON.stringify(node));
    }
});
