var http = require("http");
var fs = require("fs");
var util = require("util");
var Etcd = require('node-etcd');
var etcd = new Etcd();

function uploadNode( node, cb ){
    
    if(!node.key || node.dir){
        cb(null);
        return;
    }
    console.dir("key: " + node.key);
    etcd.set(node.key, node.value, () => {
        console.dir(arguments);
        cb(null);
    });
}

function restoreNode(node, cb){
    uploadNode(node, (err) => {
        
        if(err){
            cb(err);
            return;
        }
        
        console.log("uploaded " + node.key);
        
        
        let i=0;
        function doNode(){
            if(!node.nodes || i>=node.nodes.length){
                cb(null);
                return;
            }
            let n = node.nodes[i++];
            restoreNode(n, (err) => {
                if(err){
                    cb(err);
                    return;
                }
                doNode();
            });
        }
        doNode();
    });
}

var root = JSON.parse(fs.readFileSync("etcd2backup.json"));
restoreNode(root, function(err){
    if(err){
        console.error("Error restoring etcd data", err);
    }
    else{
        console.log("Restored")
    }
});
