#!/bin/bash

cd `dirname $0`

#root only
if [ "$(id -u)" != "0" ]; then
  echo "This script must be run as root" 1>&2
  exit 1
fi

# Determine OS type
if [ -s /etc/os-release ]; then
    . /etc/os-release
    ID=$ID
else
    # /etc/os-release required by/part of systemd, if not available....
    echo "Error: Can't find /etc/os-release. Is this a compatible platform? " 1>&2
    exit 1
fi

if [ -e install.$ID.sh ]; then
    echo "Installing for $ID "
    /bin/bash ./install.$ID.sh
else
    echo "No install for $ID found. Exiting " 1>&2
    exit 1
fi
