#!/bin/bash

kubectl get secret mqtt-tls-assets > /dev/null 2>&1
if [ $? -eq 0 ] ; then
    echo "mqtt-tls-assets Secrets already deployed, skipping."
    exit 0
fi


echo "Creating fresh mqtt-tls-assets"
cd `dirname $0`
bash ./mqtt-generate-tls.sh


echo "Creating mqtt-tls-assets secrets"
kubectl create secret generic mqtt-tls-assets --from-file=./ca.crt --from-file=./ca.key --from-file=./ca.srl --from-file=./server.crt --from-file=./server.key --from-file=./server.csr  --from-file=./client.key --from-file=./server-wss.crt --from-file=./server-wss.key --from-file=./ca-wss.crt
