#!/bin/bash

cd `dirname $0`
pwd
echo "Creating mqtt-tls-assets"

# For server key and csr
openssl genrsa -out server.key 2048
openssl req -new -key server.key -out server.csr -subj "/C=US/ST=Denial/L=Springfield/O=Dis/CN=www.example.com"
# For Certificate Authority key and cert
openssl req -new -nodes -x509 -days 3650 -keyout ca.key -out ca.crt -subj "/C=US/ST=Denial/L=Springfield/O=Dis/CN=www.example.com"
# For server cert, combined with CA cert
openssl x509 -req -in server.csr -CA ca.crt -CAkey ca.key -CAcreateserial -out server.crt -days 3650
# For Client key
openssl genrsa -out client.key 2048 
# -nodes -subj "/C=US/ST=Denial/L=Springfield/O=Dis/CN=www.example.com"
# Websockets can use same
cp ca.crt ca-wss.crt
cp server.crt server-wss.crt
cp server.key server-wss.key

# Confirm what was created
ls -l 
echo "Finished creating mqtt-tls-assets"