#!/bin/bash

export DEFAULT_IFACE=`route | grep default | awk '{print $NF}'`
echo "Default interface: $DEFAULT_IFACE"
export MASTER_HOST=`ifconfig $DEFAULT_IFACE | grep inet | grep -v inet6 | awk '{print $2}'`
echo "MASTER_HOST: $MASTER_HOST"

export K8S_SERVICE_IP=10.3.0.1

#API server key pairs
sed s/K8S_SERVICE_IP/$K8S_SERVICE_IP/g openssl.cnf.tpl | sed s/MASTER_HOST/$MASTER_HOST/g > openssl.cnf
openssl genrsa -out apiserver-key.pem 2048
openssl req -new -key apiserver-key.pem -out apiserver.csr -subj "/CN=kube-apiserver" -config openssl.cnf
openssl x509 -req -in apiserver.csr -CA ca.pem -CAkey ca-key.pem -CAcreateserial -out apiserver.pem -days 365 -extensions v3_req -extfile openssl.cnf

cp apiserver.pem /etc/kubernetes/ssl
cp apiserver-key.pem /etc/kubernetes/ssl

