var fs = require("fs");
var util = require("util");
var https = require("https");
var slackURL = "https://hooks.slack.com/services/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";

var data = fs.readFileSync("fs-query-result.json");
var res = JSON.parse(data);

var cloud = process.argv.length >= 3 ? process.argv[2] : "unknown";

function uploadMsg(body){
      var req = https.request({
        host: "hooks.slack.com",
        port: 443,
        path: "/services/T03PS919F/B6QH8K0LA/KxKmcEhZI1ZMn25ICSMw3TSx",
        rejectUnauthorized: false,
        method: "POST",
        headers: {"content-type": "application/json",
        agent: "fs-monitor-check"}
    }, function(resp){
        
    });
    req.on("error", (err) => {
        console.error("Unable to call slack hook", err);
    });
    req.write(JSON.stringify(body));
    req.end();
}

var count = 0;
for(var i=0; i< res.queries[0].results.length; i++){
    var rslt = res.queries[0].results[i];
    if(!rslt.tags || !rslt.tags.labels || rslt.tags.labels[0].indexOf( "connecthing.io/microservice_true" ) < 0){
        continue;
    }
    if(rslt.values[0][1] > 1000 * 1024 * 1024){
        //console.log(util.inspect(rslt, {depth: null}));
        ++count;
        var body = {
            text: cloud + " Excessive FS Usage - " + rslt.tags.namespace_name + 
                "/" + rslt.tags.container_name.join() + " : " + ((rslt.values[0][1]/(1024*1024)).toFixed(1) + "MB " + rslt.tags.labels[0])
        };
        console.dir(body);
        uploadMsg(body);
    }
}
console.log("Found " + count + " containers with file system usage > 10MB");