'use strict';

const axios = require('axios');
const { exec } = require('child_process');

// This token should be valid until the year 2120
const CISCOSPARK_API_ACCESS_TOKEN = 'NzI2YTFmYWEtYzA1ZS00OTNhLWEwZGUtOTJhNGM0MmI3NTUwNTExYTg3ZGUtN2Fk_PF84_consumer';
const CISCOSPARK_API_MESSAGES_PATH = 'https://api.ciscospark.com/v1/messages';

function executeCommand(cmd) {
  return new Promise((resolve, reject) => {
    exec(cmd, (err, stdout, stderr) => {
      if (err) reject(err);
      if (stderr) reject(stderr);
      resolve(stdout);
    });
  });
}

async function sendAlert(options = {}) {  
  const { roomId, markdown } = options;

  const requestOptions = {
    headers: {
      'Authorization': `Bearer ${CISCOSPARK_API_ACCESS_TOKEN}`,
      'Content-Type': 'application/json; charset=utf-8',
    },
    method: 'POST',
  };

  const requestBody = {
    roomId,
    markdown
  };

  const response = await axios.post(
    CISCOSPARK_API_MESSAGES_PATH,
    requestBody,
    requestOptions
  );

  return response.data;
}

module.exports = {
  executeCommand,
  sendAlert
}