#!/bin/bash

cd `dirname $0`

CLOUD=${1:-aws/staging}
echo "Checking cloud: $CLOUD"
TIMESTAMP=`date '+%y.%m.%d-%H:%M:%S'`
SLACK_URL="https://hooks.slack.com/services/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"

KUBECTL="kubectl --kubeconfig=../../$CLOUD/kubeconfig"
POD=`$KUBECTL get pod -n ingress-nginx | grep nginx-ingress-controller | awk '{print $1}'`
$KUBECTL logs $POD -n ingress-nginx --since=15m | awk '{print $11" "$0}' | grep ^502
if [ $? -eq 0 ] ; then
	echo "Detected 502 on $CLOUD"
	MSG="$CLOUD Bad Gateway (502) codes found $TIMESTAMP"
	echo "{\"text\": \"$MSG\"}" | curl -X POST -d "@-" -H "content-type:application/json" $SLACK_URL
fi
