#!/bin/bash

VM_HOST_KEY=${VM_HOST_KEY:-~/LinuxDemo.pem}
USER_NAME=${USER_NAME:-admin}
SSH="ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -i $VM_HOST_KEY $USER_NAME@"
PLATFORM_NAME=$1
ROOM_ID=$2

# killPod pod node workspaceUUID tenantId
function killPod {
	
	POD=$1
	NODE_NAME=$2
	WORKSPACE_UUID=$3
	TENANT_ID=$4

	echo "Killing pod $POD  on node $NODE_NAME workspace uuid: $WORKSPACE_UUID, tenantId: $TENANT_ID"
	NODE_IP=`kubectl describe node $NODE_NAME | grep ExternalIP | awk '{print $2}'`
	echo "Zombie container on node $NODE_IP"
	CMD="sudo docker ps | grep $WORKSPACE_UUID"
	echo $CMD
	ZOMBIE_CONTAINER=`$SSH$NODE_IP $CMD | awk '{print $1}'`
	CMD="ps -ef | grep $ZOMBIE_CONTAINER"
	ZOMBIE_CNTNR_PID=`$SSH$NODE_IP $CMD | grep docker-containerd-shim | awk '{print $2}'`
	echo "Killing process $ZOMBIE_CNTNR_PID on node $NODE_IP/$NODE_NAME"
	CMD="sudo kill -9 $ZOMBIE_CNTNR_PID"
	$SSH$NODE_IP $CMD

	node notify-pod-killed.js $ROOM_ID $POD $WORKSPACE_UUID $TENANT_ID $PLATFORM_NAME
}

kubectl get pod --all-namespaces -o wide -L davra.com/microservice-workspace-UUID,davra.com/tenantId | grep Terminating | grep workspace | awk '{print($2" "$8" "$9" "$10)}' > .zombie-workspaces



while read z; do
  killPod $z
done <.zombie-workspaces

