apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    name: ruban-ms-twin-counters-agg
    deploy-group: core
  name: ruban-ms-twin-counters-agg
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      name: ruban-ms-twin-counters-agg
  template:
    metadata:
      annotations:
        prometheus.io/port: "9090"
        prometheus.io/scrape: "true"
        prometheus.io/scrape-group: core
      labels:
        name: ruban-ms-twin-counters-agg
    spec:
      containers:
      - image: docker.io/davradocker/ruban-ms-device-counters-agg:DEVICE_COUNTERS_VERSION
        name: ruban-ms-twin-counters-agg
        ports:
        - name: api
          containerPort: 9090
        securityContext:
          privileged: true
        env:
        - name: COUNTERS_MODE
          value: "twin"
        volumeMounts:
        - name: kafka-client-tls-assets
          mountPath: /etc/kafka-client-tls-assets
        - name: davra-api-token
          mountPath: /etc/davra-api-token
        resources:
          requests:
            memory: "128Mi"
          limits:
            memory: "128Mi"
        envFrom:
        - configMapRef:
            name: ruban-ms-twin-counters-agg
      volumes:
      - name: kafka-client-tls-assets
        secret: 
          secretName: kafka-client-tls-assets
      - name: davra-api-token
        secret: 
          secretName: davra-api-token
